LINUX.ORG.RU

NVidia прекращает поддержку старых видеокарт

 ,


0

0

Компания NVidia решила прекратить поддержку драйверов для видеокарт GeForce 3, GeForce 256, TNT / TNT2, Riva 128, Vanta и Quadro 2 Pro. Драйверы для этих видеокарт не будут поддерживать X-сервер 1.8, который уже входит в состав недавно вышедших OpenSUSE 11.3 и Fedora 13. В Ubuntu 10.04 LTS используется X-сервер 1.7, поэтому данные видеокарты будут поддерживаться в полном объёме. Стоит заметить, что Nv драйвер не поддерживает 3D-ускорение, а в драйвере Nouveau для данных видеокарт поддержка 3D-ускорения ещё не реализована (Nouveau имеет базовую поддержку 3D начиная с NV30 [это GeForce 5 или старше]).

>>> Подробности

★★★★★

Проверено: JB ()

Ответ на: комментарий от Alan_Steel

>открытый (но обфусцированный)

Извините, а оксюмороны на мозг никакого отрицательного воздействия не оказывают? А то на ЛОРе их так много, что я за своё здоровье опасаюсь.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от cruxish

>Это каким же местом он относится к MS?..

Он ассоциируется с тем же местом, с которым ассоциируется продукция m$.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от JB

Хорошая бы новостишка получилась, если б в ней совместили то, что на опеннете и то что здесь.

Xandry ()

в принципе ну куда уже , надо же потихоньку от старья тоже чистится некоторым картам уже больше 10 лет

grigoreo ()

отличная новость!

надеюсь любители_проприетарщины_at_lor (коих сдесь как оказалось — дофигищща) — сделают из этого урок

mkfifo ()
Ответ на: комментарий от Ttt

> Оксю́морон, окси́морон (др.-греч. οξύμωρον — «острая глупость») — стилистическая фигура или стилистическая ошибка — сочетание слов с противоположным значением (то есть сочетание несочетаемого). Для оксюморона характерно намеренное использование противоречия для создания стилистического эффекта.

Открытость и читаемость исходного кода - это никак между собой не связанные категории. Они не являются антонимами, в том числе в указанном контексте. Следовательно, процитированное тобой не является оксюмороном.

Код может быть открытым, не обфусцированным; открытым и обфусцированным; закрытым, не обфусцированным; закрытым и обфусцированным.

Alan_Steel ★★ ()

УЖЕ

уже прекратили. Поставил Fedora 13, а видеодрайвер пришлось ляпать из неведийного бинарника, т.к. репозиторные драйверы не работаи с 3D. А мне Блендер надо крутить. Что характерно, в KDE-4.4 всё-равно не работает Compiz - ещё с середины апдейтов Fedora-11, ещё когда были кмоды, подерживавшие мою древнюю видяху.

anonymous ()

Печально. Хотя новостью это назвать сложно, т.к. драйвер 71.хх уже как год не поддерживает XOrg 1.8..

У меня уже давно пылятся GF2 Ti и TNT2 хотя могли бы еще поработать. Тем более что под линупсом полно игр для которых такие карточки за глаза.

Мне не понятна была причина разделения драйвера на три куска, неужели так сложно поддерживать все в одном, как раньше nvidia делала. Подозреваю что кодовая база там практически общая для всех карточек. Самое парадоксальное что поддерживается GF2MX а GF2TI не поддерживается, хотя это братья близнецы (разница только в типе памяти).

В общем, негодяи...

navrocky ()

Таки давно пора, и это не толсто.

anon_666 ()

Их даже под нынешним офтопиком не заведёшь же.

anon_666 ()
Ответ на: комментарий от navrocky

меняй device/vendor id в биосе видеокарты и радуйся жизни

frame ★★★ ()
Ответ на: комментарий от anonymous

Пруфы будут?

Кстати, у меня сейчас средний 40 fps на атомобуке в urbanterror. Ещё 2 года назад было 15.

anonymous ()
Ответ на: комментарий от anon_666

А кого волнует нынешний офтопик?

А вот nouveau для таких вещей и дадена, будет там 3d, и драйвер будет не 15 мб а несколько сот килобайт, думаю, оно ещё и память сэкономит.

anonymous ()
Ответ на: комментарий от cruxish

>Это каким же местом он относится к MS?..

По смыслу. А к линуксу каким местом? Линукс — ядро, в ядре ним и не пахнет :)

anonymous ()
Ответ на: комментарий от Alan_Steel

Открытый — то есть нету препятствий к его изучению и модификации. А здесь nvidia искусственно создаёт такие препятствия. В подтверждение моих слов могу отослать тебя к критериям OSI для открытого программного обеспечения, где прямо запрещена обфускация.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от Ttt

> Открытый — то есть нету препятствий к его изучению и модификации.

Ты что, никогда индусокода не видел? Он тоже бывает нечитаемым. Это не делает его закрытым.

Alan_Steel ★★ ()
Ответ на: комментарий от anonymous

>А вот nouveau
А вот в нём пока со старыми картами всё плохо.

anon_666 ()

AMD прежде чем прекращать поддержку (в несвободном драйвере), открыла спеки.
Nvidia — нет.
Мои главные критерии выбора ноута: без винды и видео не нвидиа — подтверждаются

Xenius ★★★★★ ()
Ответ на: комментарий от Tails

>>GeForce 3, GeForce 256, TNT / TNT2, Riva 128, Vanta и Quadro 2

У кого-то это ещё сохранилось и живо? не верю.

Могу сфоткать :) Только я ими не пользуюсь.

Evtomax ()
Ответ на: комментарий от anonymous

> На кой его открывать?
Чтобы работоспособность на новых версиях иксов и ядра не зависела от желания производителя.

Evtomax ()
Ответ на: комментарий от daemonpnz

R300-500 работают нормально, не?

Когда у nvidia давно:

OpenGL version string: 3.3.0 ... OpenGL shading language version string: 3.30 ...

anon_666 ()
Ответ на: комментарий от cruxish

>Даёшь поддержку CGA и ридеров перфокарт в Linux!

Ты уже врёшь как Путин.

Хочешь гонять полноценное 3D - задумайся о новой, более производительной карточке, вне зависимости от того, какая ОС.


Не перегибай палку: в openSUSE 11.1 3D стол на моей карточке летал - для таких задач её за глаза, а сейчас только мечтать.

GladAlex ★★★★★ ()

Так что там про выкидывание поддержки старый видеокарт от ATI? ;)

Quasar ★★★★★ ()
Ответ на: комментарий от Xenius

Этим картам 10 лет и более. Ноут служит не больше 3х лет.

Reset ★★★★★ ()
Ответ на: комментарий от anon_666

$ glxinfo | grep OpenGL
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 4300 Series
OpenGL version string: 3.3.9901 Compatibility Profile Context
OpenGL shading language version string: 3.30
OpenGL extensions:


И?

Quasar ★★★★★ ()
Ответ на: комментарий от GladAlex

> А если без фанатизма?

Если без фанатизма - используйте дистрибутивы, менеджеры пакетов которых позволяют держать несколько версий одного пакета и мейнтейнеры не удаляют старые версии, пока ими кто-то пользуется. т.е. Gentoo.

naryl ★★★★★ ()
Ответ на: комментарий от Alan_Steel

Alan_Steel> Нвидия поддерживает три (!) драйвера - nvidia, nvidia-legacy и открытый (но обфусцированный) nv.

1. nv давно уже не поддерживается. В частности видеокарты выше 8 серии с ним не работают, что свидетельствует о его заброшенности.

2. legacy-драйверы, как тут заметили, не поддерживают свежие иксы.

Quasar ★★★★★ ()

нормально, в отличие от АТИ, которые выкинули поддержку еще не устаревших карт

note173 ★★★★★ ()
Ответ на: комментарий от naryl

P.S. А что в генте можно любую версию Х-сервера поставить?

GladAlex ★★★★★ ()
Ответ на: комментарий от GladAlex

GladAlex> Вот также недавно поломали поддержку старых ATI карт (r290 и др.): нормального 3D до сих пор нет,

Как это нет? У меня есть. Что я делаю не так?

Quasar ★★★★★ ()
Ответ на: комментарий от Quasar

> 1. nv давно уже не поддерживается. В частности видеокарты выше 8 серии с ним не работают, что свидетельствует о его заброшенности.

nv не поддерживает только видюхи на чипе Fermi

> 2. legacy-драйверы, как тут заметили, не поддерживают свежие иксы.

не поддерживает только 71.*

«Обладатели карт GeForce 2 Go, GeForce 4 MX, GeForce 4 Go и GeForce 4 Ti в настоящий момент также остаются без поддержки X.Org Server 1.8, но это явление временное. Вышедшее на днях обновление 96.43.18 содержит только исправление ошибок и не реализует поддержку X.Org Server 1.8, но по словам представителей NVIDIA работа над серией 96.x.x не прекращается и поддержка X.Org Server 1.8 будет реализована в следующем обновлении драйвера

JB ★★★★★ ()
Ответ на: комментарий от grigoreo

>в принципе ну куда уже , надо же потихоньку от старья тоже чистится некоторым картам уже больше 10 лет

Ну и что?! Мощности 10-летних ПК для многих задач за глаза. ATI 9200 когда выпустили? А поддержка уже...

GladAlex ★★★★★ ()
Ответ на: комментарий от anon_666

anon_666> А толку?

Драйверы с базовым 3D. Нвидия-фангомики в прошлом году с пеной у рта орали, что лет 10 ещё не будет базового 3D в свободных дровах и что спецификации не помогут. Сейчас же оно там не просто есть, но и стабильно. Так что к следующему году ждём полноценного 3D в свободных дровах, несильно отстающего по производительности от fglrx.

Quasar ★★★★★ ()
Ответ на: комментарий от GladAlex

Для тебя что GNU/Linux только нвидией ограничивается?

Deleted ()
Ответ на: комментарий от Quasar

управление питанием то прикрутили уже?

JB ★★★★★ ()
Ответ на: комментарий от JB

Думаю, если ещё не прикрутили, то скоро прикрутят. По крайней мере я на ноутбуке неудобств не испытывал от этих драйверов. Пользуюсь fglrx в основном из-за быстрого 3D.

Quasar ★★★★★ ()
Ответ на: комментарий от GladAlex
$ eix xorg-server
[I] x11-base/xorg-server
     Available versions:  1.6.5-r1 1.7.6 (~)1.7.7 (~)1.8.0 (~)1.8.1.901{tbz2} (~)1.8.1.902{tbz2} {debug dmx doc hal ipv6 kdrive minimal nptl sdl static-libs tslib +udev xorg}
     Installed versions:  1.8.1.902{tbz2}(17:44:17 08/07/10)(ipv6 kdrive nptl udev xorg -dmx -doc -hal -minimal -static-libs -tslib)
     Homepage:            http://xorg.freedesktop.org/
     Description:         X.Org X servers
anonymous ()
Ответ на: комментарий от Reset

>Этим картам 10 лет и более. Ноут служит не больше 3х лет.

Опять неправда: Toshiba c nForce2 Go может и 8 и 10 лет работать ;)

GladAlex ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.